# Supplementary material to the manuscript entitled
#       "Fully and Semi-Automated Shape Differentiation in NGSolve"
# by the authors
#       P. Gangl, K. Sturm, M. Neunteufel, J. Schoeberl
# submitted to the journal
#        Structural and Multidisciplinary Optimization
# Corresponding author: 
#       Peter Gangl, Institute of Applied Mathematics, 
#       Graz University of Technology, Graz, Austria
#       gangl@math.tugraz.at
 
ud = X[0]*(1-X[0])*X[1]*(1-X[1])

def Cost_vol(u): 
    return (u-ud)*(u-ud)*Det(F)*dx
def Cost_bnd(u): 
    return 0*u*ds

costbnd = False
