# Supplementary material to the manuscript entitled
#       "Fully and Semi-Automated Shape Differentiation in NGSolve"
# by the authors
#       P. Gangl, K. Sturm, M. Neunteufel, J. Schoeberl
# submitted to the journal
#        Structural and Multidisciplinary Optimization
# Corresponding author: 
#       Peter Gangl, Institute of Applied Mathematics, 
#       Graz University of Technology, Graz, Austria
#       gangl@math.tugraz.at

ud = CoefficientFunction(0)

def Cost_vol(u):
	return 0 * (u - ud)**2 * Det(F) * dx
def Cost_bnd(u):
    return (u - ud)**2 * tangDet * ds

costbnd = True
