# Supplementary material to the manuscript entitled
#       "Fully and Semi-Automated Shape Differentiation in NGSolve"
# by the authors
#       P. Gangl, K. Sturm, M. Neunteufel, J. Schoeberl
# submitted to the journal
#        Structural and Multidisciplinary Optimization
# Corresponding author: 
#       Peter Gangl, Institute of Applied Mathematics, 
#       Graz University of Technology, Graz, Austria
#       gangl@math.tugraz.at


dirichletOpti = ""

newton = False
lineSearch = True   #only relevant for newton == False
armijo_param = 0#0.1    #only relevant for newton == False and lineSearch == True

CR = False   #Cauchy Riemann term       (set False when using newton)
gamma_CR = 10       #only relevant for CR == True

moveMesh = False
nMeshOpti = -1

regBnd = False   #only relevant for newton == True
delta_regHess = 0.001   #only relevant for newton == True
nDampedSteps = -1

scale_init =  1000   #only relevant for newton == False
scaleIncreaseFactor = 1.2     #only relevant for newton == False and lineSearch == True

iter_max = 1000
tol_scale = 1e-10
tol_gfX = 1e-8
tol_J = 1e-8

myAlpha = 1
