# Supplementary material to the manuscript entitled
#       "Fully and Semi-Automated Shape Differentiation in NGSolve"
# by the authors
#       P. Gangl, K. Sturm, M. Neunteufel, J. Schoeberl
# submitted to the journal
#        Structural and Multidisciplinary Optimization
# Corresponding author: 
#       Peter Gangl, Institute of Applied Mathematics, 
#       Graz University of Technology, Graz, Austria
#       gangl@math.tugraz.at

if nonlinear == True:
     weight = 2.5
else:
    weight = 0.007
    
def Cost_vol1(u):
    return weight*Det(F)*dx
def Cost_vol2(u):
    return Equation_vol(u,u)
def Cost_vol(u): 
    return Cost_vol1(u) + Cost_vol2(u)
def Cost_bnd(u):
    return 0 * factorFinal *  gN * u * Det(F)*Norm( Inv(F).trans*specialcf.normal(2) ) * ds("right") 

costbnd = False 
