# Supplementary material to the manuscript entitled
#       "Fully and Semi-Automated Shape Differentiation in NGSolve"
# by the authors
#       P. Gangl, K. Sturm, M. Neunteufel, J. Schoeberl
# submitted to the journal
#        Structural and Multidisciplinary Optimization
# Corresponding author: 
#       Peter Gangl, Institute of Applied Mathematics, 
#       Graz University of Technology, Graz, Austria
#       gangl@math.tugraz.at

dirichletOpti = "left1|left3|right2"

newton = False
lineSearch = True           #only relevant for newton == False
armijo_param = 0.001     #only relevant for newton == False and lineSearch == True

moveMesh = True
nMeshOpti = -1                  #negative value means no mesh optimization

CR = True                         #Cauchy Riemann term    
gamma_CR = 10                #only relevant for CR == True

regExt = False                  #only relevant for newton == True
delta_regHess = 0             #only relevant for newton == True
nDampedSteps = 0           #only relevant for newton == True

if nonlinear == True:
    scale_init =  0.1              #only relevant for newton == False
else:
    scale_init = 1
scaleIncreaseFactor = 1 

iter_max = 1000
tol_scale = 1e-10
tol_gfX = 1e-7
tol_J = -1e99

myAlpha = 1
