# Supplementary material to the manuscript entitled
#       "Fully and Semi-Automated Shape Differentiation in NGSolve"
# by the authors
#       P. Gangl, K. Sturm, M. Neunteufel, J. Schoeberl
# submitted to the journal
#        Structural and Multidisciplinary Optimization
# Corresponding author: 
#       Peter Gangl, Institute of Applied Mathematics, 
#       Graz University of Technology, Graz, Austria
#       gangl@math.tugraz.at

dirichletOpti = "ne|nw|se|sw"

newton = False
lineSearch = True   #only relevant for newton == False
armijo_param = 0    #only relevant for newton == False and lineSearch == True

CR = True              #Cauchy Riemann term
gamma_CR = 10       #only relevant for CR == True

regExt = False              #only relevant for newton == True
delta_regHess = 0.002   #only relevant for newton == True
nDampedSteps = 0

scale_init =  0.1           #only relevant for newton == False
scaleIncreaseFactor = 1.1

moveMesh = False
nMeshOpti = -1                  #negative value means no mesh optimization

iter_max = 1000
tol_scale = 1e-10
tol_gfX = 1e-7
tol_J = 0

myAlpha = CoefficientFunction( IfPos(x-0.5, 1, 1e3) )


